#pragma once

#include "common.h"
#include "fwimg.h"

#include <zlib.h>

extern_c int firmware_update_start(read_func_t read_data, token_t token, bool autoreboot);
extern_c int firmware_update_wait(TickType_t delay);
extern_c int esp_update(read_func_t read_func, token_t token, size_t size);
extern_c const char *firmware_errstr(int err);
